Modifying Chamfers With Visual Basic

Creator
Creator

I'm new to working with SE with Visual Basic and the forum. I have made a part file of a simple tube with 4 sharp edges. I can add chamfer with VB on all the edges. My issue is I need 4 different sized chamfers. I can not see how to change the chamfer with different values. I've worked on this for Day 2 and think it's time ask for some advice.  

 

Thanks in Advance 

 

Dim SE As SolidEdgeFramework.Application
Dim Model As Model
Dim ExtProt As ExtrudedProtrusion
Dim Edgs As Edges
Dim EdgArr(0 To 3) As Edge
Dim Chamfer As SolidEdgePart.Chamfer

SE = GetObject(, "solidedge.application")
Model = SE.ActiveDocument.models.item(1)
ExtProt = Model.ExtrudedProtrusions.Item(1)
Edgs = ExtProt.Edges(EdgeType:=SolidEdgeGeometry.FeatureTopologyQueryTypeConstants.igQueryAll)


EdgArr(0) = Edgs.Item(1)
EdgArr(1) = Edgs.Item(2)
EdgArr(2) = Edgs.Item(3)
EdgArr(3) = Edgs.Item(4)

Chamfer = Model.Chamfers.AddEqualSetback(NumberOfEdgeSets:=4, EdgeSetArray:=EdgArr, SetbackDistance:=0.001)

2 REPLIES

Re: Modifying Chamfers With Visual Basic

Legend
Legend

Welcome @LenC

  You will receive better help to programming related questions in the developer forum.  Although most check both, but it's best to keep them in the correct place.

 

https://community.plm.automation.siemens.com/t5/Solid-Edge-Developer-Forum/bd-p/SEDeveloperForum

 

I have not tried this programmaticly, but I know that in ordered mode you can only define one setback value for each chamfer feature.  So in the path finder you will see multiple chamfers each with its own setback.  In @Tushar 's recent video I learned that synchronous will allow multiple radii in one radius feature, I do not know if that works on chamfers, but that is only in synchronous.  I would say use a chamfer for each setback value needed.

 

edit: fixed spelling :-|


Those who know me question the assigned user rank.

Re: Modifying Chamfers With Visual Basic

Creator
Creator

Thanks Bnemec

Iwill repost. Also thanks for the information